Subject: [Sip] What's the difference between session and dialog in SIP?

From: "孙宗君" <[email-masked]>
Date: Wed, 23 Apr 2008 13:46:30 +0800

Hi, all

I am confused about the conception of session and dialog in RFC 3261.
Although someone pointed out the dialog is a relationship between
peer-2-peer and session is a multimedia relative relation, I am still
not clear about that.

For my understanding,  the scope of session is wider than dialog
means. Dialog can only exists between two peers,  one-2-one, but
session can contain more than 2 participants, right? For example, one
INVITE from UAC can create more than one dialog because of the forked
2xx responses by the proxy server, but the session is determined by
session id in the SDP and all the 2xx responses contain the same
session id. All the participants belong to the same session. So my
conclusion is that one session can contain more than one dialog even
though they are created by same method. The relationship between
dialog and session is many-2-one, right?

If my understanding is right,  then comes another question. The
scenario is above, one INVITE created more than one dialog, the caller
will maintain more than one dialog, he can terminate one of them via
BYE method while keeping the other dialog. According to RFC3261, BYE
method can terminate a session and its relative dialog. From this
statement it seems that my conclusion is not exactly right.

Then what is the relationship between session and dialog, one-2-one
map or one-2-many map?

Your instructions are highly appreciated.

Thanks

BR

Zongjun
_______________________________________________
Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: [email-masked]
Date: Wed, 23 Apr 2008 14:28:49 -0400

From: "=?GB2312?B?y+/X2r79?=" <[email-masked]>

As I understand the terms, a "session" is the set of media
transmisstions described/controlled by a series of SDP offer/answer
exchanges.  These exchanges are usually carried by the messages in one
SIP dialog.

Dale

---

From: "James M. Polk" <[email-masked]>
Date: Wed, 23 Apr 2008 15:46:38 -0500

>exchanges.  These exchanges are usually carried by the messages in one

To this too, these terms are often meant to be interchangeable - even 
though technically they are separate terms with subtlety different 
actual meanings (SDP "sessions", and SIP "dialogs"). Sessions and 
Dialogs can, sometimes mean the same thing. Thus it requires a bit of 
understanding the context in which either is stated in to understand 
if they are meaning one or the other, or were misused for the same meaning.

---

From: "孙宗君" <[email-masked]>
Date: Thu, 24 Apr 2008 08:40:50 +0800

Thanks for  all your kindly explanation.

Do you mean that dialog and session is one-2-one relationship and only
for different scenario and different context?

Thanks
BR
Zongjun

---

From: "孙宗君" <[email-masked]>
Date: Thu, 24 Apr 2008 09:08:19 +0800

Hi, Lincoln

thanks for your instructions.

I know that dialog can exist without session since SUBSCRIBE/REFER can
create dialog and without any media between communication peers.

What I want to know is the relationship of dialog and session when
they both exist in one communication activity. Take a example, when
there are 2 person participating talks with voice, we say there is a
dialog and a session.

But when one caller invites another callee and gets five 200 final
responses from 5 UA every of which has its own session description. We
can say that there are 5 dialogs between caller and the other 5
callees, right? And then what is the exact number of session in this
scenario? One session or five session? That is what I want to know.

Dialog is determined by dialogID (call-id, from/to tag) and session id
is determined by session id given in the SDP message.  My answer is
there are 5 dialog and one session now, right?

Thanks for your further instructions

Zongjun

2008/4/24, Lincoln Y. Lavoie <[email-masked]>:
> Hello BR,
>
>    In the strictest context, the dialog exists only in SIP and can exist
> without the establishment of a media session (setup through SDP).  To define
> a dialog, the SIP specification RFC-3261 defines several qualifiers, which
> all must be present in the SIP messages, off the top of my head, they are
> tag parameters in the TO/FROM headers, and a CALLID header.  You should
> check our RFC-3261 to look for the others.
>    For a simple example of a dialog without SDP, think of the presence
> subscription case.  In this case, the SUBSCRIBE request message and 200OK
> response establish the SIP dialog.  After that, all the NOTIFY messages use
> the same dialog to transmit the requested information.  The actual
> information is usually carried directly in the same packet, encoded as DSL
> or something.
>
>  Cheers,
>  Lincoln
>
>
>  孙宗君 wrote:
>
> > >  >Sip mailing list
> https://www.ietf.org/mailman/listinfo/sip
> > >  Sip mailing list
> https://www.ietf.org/mailman/listinfo/sip
> > Sip mailing list
> https://www.ietf.org/mailman/listinfo/sip
>  --
> **********************************************************************
>  Lincoln Lavoie
>  Senior Engineer
>  UNH InterOperability Laboratory
>  121 Technology Drive, Suite 2, Durham, NH 03824
>  +1-603-862-4809
>  Email: [email-masked]
>  AIM: LincolnAtIOL
>
>  Ars sine scientia nihil est! -- Art without science is nothing.
>  Scientia sine ars est vacua! -- Science without art is empty.
> **********************************************************************
>
>

---

From: "Vijay K. Gurbani" <[email-masked]>
Date: Thu, 24 Apr 2008 09:00:48 -0500

There is some work progressing in the BMWG WG to create performance
metrics around SIP.  One of the first tasks in such an endeavor
is to define the notion of dialogs and sessions.  Please see
Section 3.1.1 of
https://svn.resiprocate.org/rep/ietf-drafts/gurbani/bmwg-sip-bench-term/draft-ietf-bmwg-sip-term-00.txt
of the above draft for some insight.

> there are 5 dialog and one session now, right?

- vijay
-- 
Vijay K. Gurbani, Bell Laboratories, Alcatel-Lucent
2701 Lucent Lane, Rm. 9F-546, Lisle, Illinois 60532 (USA)
Email: vkg@{alcatel-lucent.com,bell-labs.com,acm.org}
WWW:   http://www.alcatel-lucent.com/bell-labs
_______________________________________________
Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "孙宗君" <[email-masked]>
Date: Fri, 25 Apr 2008 08:18:19 +0800

Hi, Vijay

Thanks very much for your timely answers.

From this specification,  session is a combination of signaling plane
and media plane messages and processes that enable two or more
participants to communicate. I think session is a larger scope than
dialog. In another word, one session can contain more than one dialog.
Is what I understand right?

Zongjun

---

From: "Donald Lee" <[email-masked]>
Date: Fri, 25 Apr 2008 17:44:48 +0800

old good questions in sip, also add another "transaction".

-- 
BR
Donald

---

From: "James M. Polk" <[email-masked]>
Date: Fri, 25 Apr 2008 11:33:37 -0500

At 04:44 AM 4/25/2008, Donald Lee wrote:
>On Fri, Apr 25, 2008 at 8:18 AM, 孙宗君 
><<mailto:[email-masked]>[email-masked]> wrote:
>Hi, Vijay
>

A SIP dialog has the one Call-ID.  If more than 
one session is involved in the same Call-ID, then 
more than one session is within the same 
dialog.  At issue, I think, is there is little 
tying any particular SDP session to a particular 
SIP Call-ID.  This creates confusion telling the difference between the two.

>Zongjun
>
>
>2008/4/24, Vijay K. Gurbani 
><<mailto:[email-masked]>[email-masked]>:
> <https://svn.resiprocate.org/rep/ietf-drafts/gurbani/bmwg-sip-bench-term/draft-ietf-bmwg-sip-term-00.txt>https://svn.resiprocate.org/rep/ietf-drafts/gurbani/bmwg-sip-bench-term/draft-ietf-bmwg-sip-term-00.txt
> >  Email: 
> vkg@{<http://alcatel-lucent.com>alcatel-lucent.com,<http://bell-labs.com>bell-labs.com,<http://acm.org>acm.org}
> >  WWW: 
> <http://www.alcatel-lucent.com/bell-labs>http://www.alcatel-lucent.com/bell-labs
> >
>Sip mailing 
>list 
><https://www.ietf.org/mailman/listinfo/sip>https://www.ietf.org/mailman/listinfo/sip
>Use 
><mailto:[email-masked]>[email-masked] 
>for questions on current sip
>Use <mailto:[email-masked]>[email-masked] 
>for new developments on the application of sip
>
>
>
>
>--
>BR
>Donald

---

From: "Vijay K. Gurbani" <[email-masked]>
Date: Fri, 25 Apr 2008 12:17:15 -0500

If you have any follow-ups, you may want to move them to
the sip-implementors list ([email-masked]).

> Is what I understand right?

The term session, as James pointed out, is a bit stretched.
What a user would consider a "session" may include many dialogs
and SDP sessions.  For instance, consider your example:

    But when one caller invites another callee and gets five
    200 final responses from 5 UA every of which has its own
    session description. We can say that there are 5 dialogs
    between caller and the other 5 callees, right? And then
    what is the exact number of session in this scenario?
    One session or five session?

This could ostensibly be a conferencing service that sends out
five INVITEs, the SDP of each of these INVITEs may have a
the same session (s=) name, although many user agents do not
populate this field.  Of more importance is the <sess-id> of the
SDP o= field.  The conferencing service may use the same sess-id
or may generate different ones (I don't believe it matters.)
In this case, you have five distinct dialogs tied to the
same session from the perspective of the conferencing service
(even though they may have different <sess-id> values.)

Now, turn this around so that you have five people connecting
to a conference bridge simultaneously.  Here, each individual
INVITE will have its own <sess-id>, and there are five dialogs,
but ostensibly you would still consider this a single user-level
session.

- vijay

---

From: gaurav katiyar <[email-masked]>
Date: Fri, 25 Apr 2008 05:14:40 -0700 (PDT)

Sip "Session Initiation Protocol". It talks about media session, i mean how to initiate, modify and terminate a session and Dialog provides a sort of context (like caller, callee, location, routing etc.) to modify this session. So dialog is more related to route the sip message to right node and body (SDP) handles media session if present. Dialogs may have media sessions Or may not. 
   
  Take an example of B2BUA. It is a type of statefull proxy having two dialog and one media session if doing media routing. 

Donald Lee <[email-masked]> wrote:
  old good questions in sip, also add another "transaction".

  On Fri, Apr 25, 2008 at 8:18 AM, å&shy;™å®—å› <[email-masked]> wrote:
  Hi, Vijay

Zongjun

2008/4/24, Vijay K. Gurbani <[email-masked]>:
    
>  Ã‹Ã¯Ã—ÃšÂ¾Ã½ wrote:

-- 
BR
Donald _______________________________________________
This is the SIP Forum discussion mailing list
TO UNSUBSCRIBE, or edit your delivery options, please visit http://sipforum.org/mailman/listinfo/discussion
Post to the list at [email-masked]

Gaurav Katiyar
  Induslogic india pvt. ltd
  B-34/1 sector 59 NOIDA
  Phone:9818381368

---------------------------------
Be a better friend, newshound, and know-it-all with Yahoo! Mobile.  Try it now.

---

From: Shah Newaz <[email-masked]>
Date: Sat, 26 Apr 2008 14:44:07 +1100

hi can u help to develop the SIp client software using Visual C#.

thank u

Date: Fri, 25 Apr 2008 20:45:48 +0530From: [email-masked]: [email-masked]: [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]: Re: [SIPForum-discussion] [Sip] What's the difference between session and dialog in SIP?Do u mean, Dialog is at signaling level, session is at media transport level.
On Fri, Apr 25, 2008 at 5:44 PM, gaurav katiyar <[email-masked]> wrote:

On Fri, Apr 25, 2008 at 8:18 AM, å­™å®—å › <[email-masked]> wrote:

Hi, VijayThanks very much for your timely answers.From this specification,  session is a combination of signaling planeand media plane messages and processes that enable two or moreparticipants to communicate. I think session is a larger scope thandialog. In another word, one session can contain more than one dialog.Is what I understand right?Zongjun2008/4/24, Vijay K. Gurbani <[email-masked]>:

> There is some work progressing in the BMWG WG to create performance>  metrics around SIP.  One of the first tasks in such an endeavor>  is to define the notion of dialogs and sessions.  Please see>  Section 3.1.1 of> https://svn.resiprocate.org/rep/ietf-drafts/gurbani/bmwg-sip-bench-term/draft-ietf-bmwg-sip-term-00.txt>  of the above draft for some insight.>

>  Ã‹Ã¯Ã—ÃšÂ¾Ã½ wrote:>> > Hi, Lincoln> >> > thanks for your instructions.> >> > I know that dialog can exist without session since SUBSCRIBE/REFER can> > create dialog and without any media between communication peers.> >> > What I want to know is the relationship of dialog and session when> > they both exist in one communication activity. Take a example, when> > there are 2 person participating talks with voice, we say there is a> > dialog and a session.> >> > But when one caller invites another callee and gets five 200 final> > responses from 5 UA every of which has its own session description. We> > can say that there are 5 dialogs between caller and the other 5> > callees, right? And then what is the exact number of session in this> > scenario? One session or five session? That is what I want to know.> >> > Dialog is determined by dialogID (call-id, from/to tag) and session id> > is determined by session id given in the SDP message.  My answer is> > there are 5 dialog and one session now, right?> >>>  - vijay>  -->  Vijay K. Gurbani, Bell Laboratories, Alcatel-Lucent>  2701 Lucent Lane, Rm. 9F-546, Lisle, Illinois 60532 (USA)>  Email: vkg@{alcatel-lucent.com,bell-labs.com,acm.org}>  WWW:   http://www.alcatel-lucent.com/bell-labs>_______________________________________________Sip mailing list  https://www.ietf.org/mailman/listinfo/sipThis list is for NEW development of the core SIP ProtocolUse [email-masked] for questions on current sipUse [email-masked] for new developments on the application of sip-- BRDonald _______________________________________________ 
This is the SIP Forum discussion mailing listTO UNSUBSCRIBE, or edit your delivery options, please visit http://sipforum.org/mailman/listinfo/discussionPost to the list at [email-masked]
Gaurav Katiyar
Induslogic india pvt. ltd
B-34/1 sector 59 NOIDA
Phone:9818381368

Be a better friend, newshound, and know-it-all with Yahoo! Mobile. Try it now._______________________________________________This is the SIP Forum discussion mailing listTO UNSUBSCRIBE, or edit your delivery options, please visit http://sipforum.org/mailman/listinfo/discussionPost to the list at [email-masked] -Raaz 
_________________________________________________________________
Connect to the next generation of MSN Messenger 
http://imagine-msn.com/messenger/launch80/default.aspx?locale=en-us&source=wlmailtagline

---

From: Raj <[email-masked]>
Date: Fri, 25 Apr 2008 20:45:48 +0530

Do u mean, Dialog is at signaling level, session is at media transport
level.

On Fri, Apr 25, 2008 at 5:44 PM, gaurav katiyar <[email-masked]>
wrote:

> Sip "Session Initiation Protocol". It talks about media session, i mean how
> to initiate, modify and terminate a session and Dialog provides a sort of
> context (like caller, callee, location, routing etc.) to modify this
> session. So dialog is more related to route the sip message to right node
> and body (SDP) handles media session if present. Dialogs may have media
> sessions Or may not.
>
> Take an example of B2BUA. It is a type of statefull proxy having two dialog
> and one media session if doing media routing.
>
>
> *Donald Lee <[email-masked]>* wrote:
>
> On Fri, Apr 25, 2008 at 8:18 AM, å­™å(R)—å › <[email-masked]> wrote:
>
>> Hi, Vijay
>>
> TO UNSUBSCRIBE, or edit your delivery options, please visit
> http://sipforum.org/mailman/listinfo/discussion
> ------------------------------
> Be a better friend, newshound, and know-it-all with Yahoo! Mobile. Try it
> now.<http://us.rd.yahoo.com/evt=51733/*http://mobile.yahoo.com/;_ylt=Ahu06i62sR8HDtDypao8Wcj9tAcJ>
>
> TO UNSUBSCRIBE, or edit your delivery options, please visit
> http://sipforum.org/mailman/listinfo/discussion

-- 
-Raaz

---

From: Paul Kyzivat <[email-masked]>
Date: Tue, 29 Apr 2008 13:02:54 -0400

gaurav katiyar wrote:
> Sip "Session Initiation Protocol". It talks about media session, i mean 
> how to initiate, modify and terminate a session and Dialog provides a 
> sort of context (like caller, callee, location, routing etc.) to modify 
> this session. So dialog is more related to route the sip message to 
> right node and body (SDP) handles media session if present. Dialogs may 
> have media sessions Or may not.
>  
> Take an example of B2BUA. It is a type of statefull proxy having two 
> dialog and one media session if doing media routing.

Maybe. IMO these concepts aren't sufficiently defined.

One view is that a session is whatever SDP describes. Thus its one 
session regardless of how many media streams it contains. And in the 
case of an SDP containing multicast media addresses, and possibly 
advertised via SAP, there could be many participants in the same session.

But then in sip it takes a pair of SDPs to establish a call. Is that one 
session, or two? And in your case above with the B2BUA, is it one 
session, or two, or four?

Another view is that a session in the context of sip is whatever is 
established as a result of an INVITE. Then I guess the pair of SDPs 
together describe one session, regardless of how many media streams. But 
in that case the B2BUA example would be two sessions.

Then consider a more complex case:

                     audio
                  /-------- C
                 /
   A ========== B
     audio       \
     video        \-------- D
                     video

Here B is a B2BUA and media relay as in your example, but one stream is 
relayed to C and the other to D.

In this case, how many sessions are there? A, C, and D each have one, 
but are any of those the same? Or are there three altogether?

When I see "session" used, I just assume it means something vague, and 
read on to see what is actually meant.

	Paul

> */Donald Lee <[email-masked]>/* wrote:
> 
>     On Fri, Apr 25, 2008 at 8:18 AM, 孙宗君 <[email-masked]
>     <mailto:[email-masked]>> wrote:
> 
>         Hi, Vijay
> 
>         2008/4/24, Vijay K. Gurbani <[email-masked]
>         <mailto:[email-masked]>>:
>         200 final
>          >  Email: vkg@{alcatel-lucent.com
>         <http://alcatel-lucent.com/>,bell-labs.com
>         <http://bell-labs.com/>,acm.org <http://acm.org/>}
>         Use [email-masked]
>         <mailto:[email-masked]> for questions on
>         current sip
>         Use [email-masked] <mailto:[email-masked]> for new
>         developments on the application of sip
> 
> 
> 
> 
>     -- 
>     BR
> ------------------------------------------------------------------------
> <http://us.rd.yahoo.com/evt=51733/*http://mobile.yahoo.com/;_ylt=Ahu06i62sR8HDtDypao8Wcj9tAcJ 
>  >
> 
> 
> ------------------------------------------------------------------------
>

---

From: Mahesh Anjanappa <[email-masked]>
Date: Wed, 30 Apr 2008 09:10:54 +0530

I'm surprised to see that a fundamental concept "SIP Session" does not have
a clear definition documented anywhere. I was eagerly waiting for a IETF 
Guru
to clarify this. I wish somebody writes a draft clarifying all the 
undocumented
fundamental concepts in SIP. If i knew it all, i would have done it :-)

My 2 cents on it.
A Session is a Rendezvous Contract between 2 or more UA's for communnicating
with some modality. SIP dialog is a context over which such a Contract is 
negotiated
decided, and upheld.
Normally the SDP Session Id should identify the Contract/Session. But not 
necessarily
always. If its a multiparty the Conference ID would serve such a purpose.
I can get into a session with a non-INVITE dialog as well. Example: 
SUBSCRIBE to
a specialized Event package. In this case some Identifier in the Event 
package probably will
serve as the Session Id.
As you can see there can be more than 1 dialog related a Session.
But there is no documentation saying what exactly threads all the dialogs to 
a Session except
the mentioning of a ID in the SDP RFC to identify the session being 
described in a SDP.

My understanding is that a Session Identifier can take the form of 
Conference ID or any
other depending on the method used to setup the rendezvoud/session.

Well, the above is my understanding of it, not based on any existing draft 
or RFC, so i welcome
whatever corrections need be.

regards
Mahesh

----- Original Message ----- 
From: "Paul Kyzivat" <[email-masked]>
To: "gaurav katiyar" <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>; <[email-masked]>
Sent: Tuesday, April 29, 2008 10:32 PM
Subject: Re: [Sip] [SIPForum-discussion] What's the difference between 
session and dialog in SIP?

>>          >  WWW:   http://www.alcatel-lucent.com/bell-labs

--------------------------------------------------------------------------------

---

From: Paul Kyzivat <[email-masked]>
Date: Wed, 30 Apr 2008 09:05:29 -0400

> fundamental concepts in SIP. If i knew it all, i would have done it :-)

IMO the reason there is no definition of such a "fundamental concept" is 
that it isn't fundamental. While it might be interesting to discuss, it 
doesn't affect anything. And in fact, when you start to dig into what 
this "fundamental concept" means it starts to fall apart.

> with some modality. SIP dialog is a context over which such a Contract 
> is negotiated
> decided, and upheld.
> Normally the SDP Session Id should identify the Contract/Session. But 
> not necessarily

Is each modality a separate contract? Or is is a contract for a 
*collection* of modalities? (E.g. voice + video)

> a specialized Event package. In this case some Identifier in the Event 

Do you mean to imply that the event notifications are then the 
communication modality?

> But there is no documentation saying what exactly threads all the 
> dialogs to a Session except
> Well, the above is my understanding of it, not based on any existing 
> draft or RFC, so i welcome

Its a decent try. As I mentioned in a prior reply, IMO there is no real 
need to define this.

I'm not fully understanding what you are proposing (see questions 
above). I expect that it may start to fall apart in the details of 
particular use cases. Will you explain to me how your definition relates 
to the use case with A/B/C/D that I gave?

	Paul

> regards
> Mahesh
> 
> ----- Original Message ----- From: "Paul Kyzivat" <[email-masked]>
>>>     --     BR

---

From: Mahesh Anjanappa <[email-masked]>
Date: Wed, 30 Apr 2008 19:56:10 +0530

> doesn't affect anything. And in fact, when you start to dig into what this 
> "fundamental concept" means it starts to fall apart.

Yes, it starts to fall apart,:-),  which annoys me & is the reason why i
dig further because i feel i'm missing something here. We use
the word Session so often in discussions and IMHO it is dangerous
if i cant put down a fullfilling definition for it.

> *collection* of modalities? (E.g. voice + video)

It is a contract for a *collection* of modalities.

> Do you mean to imply that the event notifications are then the 

Yes, thats right (example:PIDF doc if Presence )

>> But there is no documentation saying what exactly threads all the dialogs 
>> to a Session except

Frankly, i didnt understand why you say that there is no real need to define 
this.

>
> I'm not fully understanding what you are proposing (see questions above). 
> I expect that it may start to fall apart in the details of particular use 
> cases. Will you explain to me how your definition relates to the use case 
> with A/B/C/D that I gave?

OK,let me see.
A, C and D get into a Session/Contract to communicate using Video and Audio.
The contract allows for either of the Media to be used hence C uses audio
and D uses video. B facilitates the Contract by holding the three dialogs.
The 3 dialogs are tied together by a Conference Id (i suppose)
thus COnference Id representing the Session Identifier.B too is considered a 
party in the
session though its role is different from that of A,C and D.

>>>>          From this specification,  session is a combination of 
>>>> signaling
>>>>         plane
>>>>          > > Dialog is determined by dialogID (call-id, from/to tag) 
>>>> and
>>>>         session id

---

From: Paul Kyzivat <[email-masked]>
Date: Wed, 30 Apr 2008 11:09:37 -0400

Mahesh Anjanappa wrote:
>> particular use cases. Will you explain to me how your definition 
>> relates to the use case with A/B/C/D that I gave?
> 
> OK,let me see.

I guess you misunderstand what I was describing.

The SDP negotiated between A and B contains both audio and video.

The SDP negotiated between B and C contains only audio. (B didn't offer 
the video to C.)

The SDP negotiated between B and D contains only video. (B didn't offer 
the video to D.)

The purpose of B is to consolidate an audio-only device and a video-only 
device into what seems, to A, like one audio/video device.

They don't all have the same contract. So by your definition I don't 
think they can all have one session.

In some conceptual sense you may think of this as one session. But its 
hard to find any tangible item that they all have that refers to a 
single session. In the end, from the point of view of B it may indeed be 
one session. But A, C, and D can't perceive that.

> thus COnference Id representing the Session Identifier.B too is 
> considered a party in the

If this were done with a conference mixer, and hence there was a 
conference id, then I guess you could say that the conference id was an 
identifier for the "session".

But if B was purpose-built for this particular functionality, and there 
is no conference id, then what?

And in a simple call between A and C there would be no conference id, so 
something else must serve as the "session" identifier. But in that case, 
it would seem that these aren't the *same* notion of session.

You asked why I didn't think it was important to define session. I will 
admit that it seems odd to have a Session Initiation Protocol without a 
clear idea of what this "session" is that it is initiating. So it indeed 
would be *nice* to have a definition that covers all the cases.

But not having one doesn't seem to be preventing anyone from doing 
anything, does it?

 From a practical perspective I think the thing that is being initiated 
by SIP is the contract established by a matching offer/answer. That is 
fairly straightforward when the UAC and UAS are the offerer and 
answerer, or visa versa. It gets messy when other UAs are involved in 
the construction of the offer and the answer. And in those cases it gets 
really hard to figure out what the session is, because not all the 
parties will agree.

	Paul

>>> Subject: Re: [Sip] [SIPForum-discussion] What's the difference 
>>> between session and dialog in SIP?
>>>
>>>
>>>>
>>>>
>>>> gaurav katiyar wrote:
>>>>>          > > scenario? One session or five session? That is what I 
>>>>> want
>>>>>         to know.
>>>>>          > >
>>>>>          > > Dialog is determined by dialogID (call-id, from/to 
>>>>> tag) and
>>>>>         session id